#
# spec file for package gimp (Version 1.2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  aalib aalib-devel bzip docbktls docbook-dsssl-stylesheets docbook_3 glib glib-devel gtk gtk-devel gtkdoc gxmhtml iso_ent jade_dsl libjpeg libmpeg libpng libtiff libz lprold perl sp sp-devel tcl tk xdelta xf86 xpm
# usedforbuild    aaa_base aaa_dir aalib aalib-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbktls docbook-dsssl-stylesheets docbook_3 e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gppshare grep groff gtk gtk-devel gtkdoc gxmhtml gzip iso_ent jade_dsl kbd less libjpeg libmpeg libpng libtiff libtool libz lprold m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit tcl texinfo textutils timezone tk unzip util-linux vim xdelta xdevel xf86 xshared

Name:         gimp
%define releasever	1.2
%define microver	2
%define sysconfdir	/etc
Version:      1.2.2
Release:      122
Copyright:    1995-2000 Spencer Kimball, Peter Mattis and others
Group:        X11/Applications/Graphics
Provides:     gimp
Obsoletes:    libgimp
Autoreqprov:  on
Summary:      THE image manipulation program
Source:       gimp-%{version}.tar.bz2
Patch:        gimp-fontset.patch
BuildRoot:    /var/tmp/gimp-%{version}-build

%description
GIMP is the abbreviation of GNU Image Manipulation Program. It is a
tool for creating, manipulating and saving graphical images. It aims
to be a free replacement for commercial tools used in graphic design
and weblayout. It has a lot of features suited for even complex
image manipulation, including: Layers, channels, advanced selection and
colour manipulation tools, scriptability (via Script-Fu, Perl, Python ...)
and even more. It uses Gtk+ for its user interface and makes use
of localisation where senseful. It contains support for graphic tablets
and drag and drag operation.

Authors:
--------
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Peter Mattis <petm@xcf.berkeley.edu>
    
    and further:
    
    Lauri Alanko
    Shawn Amundson
    John Beale
    Zach Beane
    Tom Bech
    Marc Bless
    Edward Blevins
    Roberto Boyd
    Stanislav Brabec
    Simon Budig
    Seth Burgess
    Brent Burton
    Francisco Bustamante
    Ed Connel
    Jay Cox
    Kenneth Christiansen
    Andreas Dilger
    Austin Donnelly
    Scott Draves
    Misha Dynin
    Daniel Egger
    Larry Ewing
    Nick Fetchak
    Valek Filippov
    David Forsyth
    Jim Geuther
    Scott Goehring
    Heiko Goller
    Michael Hammel
    James Henstridge
    Christoph Hoegl
    Wolfgang Hofer
    Jan Hubicka
    Simon Janes
    Tim Janik
    Tuomas Kuosmanen
    Peter Kirchgessner
    Karin Kylander
    Olof S Kylander
    Nick Lamb
    Karl LaRocca
    Chris Lahey
    Jens Lautenbacher
    Laramie Leavitt
    Elliot Lee
    Marc Lehmann
    Raph Levien
    Wing Tung Leung
    Adrian Likins
    Tor Lillqvist
    Ingo Luetkebohle
    Josh MacDonald
    Ed Mackey
    Daniele Medri
    Vidar Madsen
    Marcelo Malheiros
    Ian Main
    Kjartan Maraas
    Kelly Martin
    Torsten Martinsen
    Federico Mena
    David Monniaux
    Adam D. Moss
    Sung-Hyun Nam
    Shuji Narazaki
    Michael Natterer
    Sven Neumann
    Stephen Robert Norris
    Erik Nygren
    Balazs Nagy
    Miles O'Neal
    Garry R. Osgood
    Jay Painter
    Asbjorn Pettersen
    Mike Phillips
    Raphael Quinet
    Vincent Renardias
    James Robinson
    Mike Schaeffer
    Tracy Scott
    Aaron Sherman
    Manish Singh
    Nathan Summers
    Mike Sweet
    Eiichi Takamori
    Tristan Tarrant
    Owen Taylor
    Ian Tester
    Andy Thomas
    James Wang
    Kris Wehner
    Matthew Wilson
    Shirasaki Yasuhiro
    Ville Hautamki
    Tomas gren

SuSE series: gra

%prep
%setup -q
%patch
%{?suse_update_config:%{suse_update_config -f}}
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --disable-perl --enable-nls \
            --mandir=%{_mandir} --sysconfdir=%{sysconfdir} 

%build
make -s CFLAGS="$RPM_OPT_FLAGS" 

%install
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
             mandir=$RPM_BUILD_ROOT%{_mandir} \
	     sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	     gimpsysconfdir=$RPM_BUILD_ROOT%{sysconfdir}/gimp/%{releasever}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
# Here is the documentation
%doc COPYING ChangeLog NEWS README* TODO
%{sysconfdir}/gimp
%{_prefix}/bin/gimp
%{_prefix}/bin/gimp-remote
%{_prefix}/lib/gimp/*
%{_prefix}/lib/*.so.*
%{_prefix}/share/gimp/%{releasever}/brushes
%{_prefix}/share/gimp/%{releasever}/fractalexplorer
%{_prefix}/share/gimp/%{releasever}/gfig
%{_prefix}/share/gimp/%{releasever}/gflare
%{_prefix}/share/gimp/%{releasever}/*.ppm
%{_prefix}/share/gimp/%{releasever}/gimpressionist
%{_prefix}/share/gimp/%{releasever}/gradients
%{_prefix}/share/gimp/%{releasever}/palettes
%{_prefix}/share/gimp/%{releasever}/patterns
%{_prefix}/share/gimp/%{releasever}/scripts
%{_prefix}/share/gimp/%{releasever}/tips
%{_prefix}/share/gimp/%{releasever}/user_install
%{_prefix}/share/locale/*/LC_MESSAGES/*
%{_mandir}/man*/*.gz
%package -n gimphelp
Summary:      The online documentation for the GIMP
Requires:     gimp
Provides:     gimphelp
Group:        Documentation
Autoreqprov:  on

%description -n gimphelp
This package contains an online version of the GIMP user manual
and a browser plugin for the GIMP for context based help.
It's not yet finished, but installing it and pressing <F1>
in a dialog may sometimes give a good hint.

SuSE series: doc


%files -n gimphelp
# Here are the docs
%{_prefix}/share/gimp/%{releasever}/help
%package devel 
Summary:      The GIMP Plugin development package
Obsoletes:    gimpdev
Obsoletes:    libgimpd
Group:        Development/Libraries
Autoreqprov:  on

%description devel 
This packages includes all files which are necessary in order to develop
or compile GIMP plugins.

Authors:
--------
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Peter Mattis <petm@xcf.berkeley.edu>
    
    and further:
    
    Lauri Alanko
    Shawn Amundson
    John Beale
    Zach Beane
    Tom Bech
    Marc Bless
    Edward Blevins
    Roberto Boyd
    Stanislav Brabec
    Simon Budig
    Seth Burgess
    Brent Burton
    Francisco Bustamante
    Ed Connel
    Jay Cox
    Kenneth Christiansen
    Andreas Dilger
    Austin Donnelly
    Scott Draves
    Misha Dynin
    Daniel Egger
    Larry Ewing
    Nick Fetchak
    Valek Filippov
    David Forsyth
    Jim Geuther
    Scott Goehring
    Heiko Goller
    Michael Hammel
    James Henstridge
    Christoph Hoegl
    Wolfgang Hofer
    Jan Hubicka
    Simon Janes
    Tim Janik
    Tuomas Kuosmanen
    Peter Kirchgessner
    Karin Kylander
    Olof S Kylander
    Nick Lamb
    Karl LaRocca
    Chris Lahey
    Jens Lautenbacher
    Laramie Leavitt
    Elliot Lee
    Marc Lehmann
    Raph Levien
    Wing Tung Leung
    Adrian Likins
    Tor Lillqvist
    Ingo Luetkebohle
    Josh MacDonald
    Ed Mackey
    Daniele Medri
    Vidar Madsen
    Marcelo Malheiros
    Ian Main
    Kjartan Maraas
    Kelly Martin
    Torsten Martinsen
    Federico Mena
    David Monniaux
    Adam D. Moss
    Sung-Hyun Nam
    Shuji Narazaki
    Michael Natterer
    Sven Neumann
    Stephen Robert Norris
    Erik Nygren
    Balazs Nagy
    Miles O'Neal
    Garry R. Osgood
    Jay Painter
    Asbjorn Pettersen
    Mike Phillips
    Raphael Quinet
    Vincent Renardias
    James Robinson
    Mike Schaeffer
    Tracy Scott
    Aaron Sherman
    Manish Singh
    Nathan Summers
    Mike Sweet
    Eiichi Takamori
    Tristan Tarrant
    Owen Taylor
    Ian Tester
    Andy Thomas
    James Wang
    Kris Wehner
    Matthew Wilson
    Shirasaki Yasuhiro
    Ville Hautamki
    Tomas gren

SuSE series: gra


%files devel 
%{_prefix}/bin/gimp-config
%{_prefix}/bin/gimptool
%{_prefix}/include/*
%{_prefix}/lib/*.*a
%{_prefix}/lib/*.so
%{_prefix}/share/gimp/%{releasever}/brushes
%{_prefix}/share/aclocal/gimp.m4

%changelog -n gimp
* Fri Aug 24 2001 - egger@suse.de
- Removed escputil as it's also in our ghostscript package and
  would conflict.
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Sun Jul 29 2001 - egger@suse.de
- Updated to version 1.2.2.
- Misc specfile changes.
* Fri Jun 29 2001 - egger@suse.de
- Use RPM_OPT_FLAGS.
- Minor specfile fixes.
- Fixed bug 8589 by including a link in the filelist.
* Mon Apr 09 2001 - ro@suse.de
- don't use macro for version
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Fri Feb 02 2001 - violiet@suse.de
- Use gdk_fontset_load instead of gdk_font_load.
* Wed Jan 24 2001 - egger@suse.de
- Updated to version 1.2.1. Still on STABLE branch.
* Mon Dec 25 2000 - egger@suse.de
- Updated to version 1.2, the real final! Tons of bugfixes.
* Fri Dec 22 2000 - ro@suse.de
- removed man page escputil.1 which is in gs_lib
* Thu Dec 21 2000 - egger@suse.de
- Updated to version 1.1.32 (1.2evenmorefinal)
- Bugfixrelease.
* Mon Dec 11 2000 - ro@suse.de
- changed neededforbuild <aalibdev> to <aalib-devel>
* Sun Dec 10 2000 - egger@suse.de
- Updated to version 1.1.30 (1.2final).
* Sun Nov 05 2000 - egger@suse.de
- Changed subpackage conventions.
- Moved configdir to /etc/gimp.
* Sun Nov 05 2000 - egger@suse.de
- Updated to version 1.1.29.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Wed Oct 18 2000 - egger@suse.de
- Updated to version 1.1.28.
- Tweaked the specfile a bit.
* Fri Oct 06 2000 - egger@suse.de
- Updated to version 1.1.27.
* Sun Sep 24 2000 - egger@suse.de
- Updated to version 1.1.26.
- Renamed libgimpd to gimpdev and added Provides gimp-devel
  for RedHat compatibility.
- Use BuildRoot.
- Cleaned up specfile.
- BuildProofed on i386.
* Tue Sep 12 2000 - @suse.de
- Patch print plugin to use int instead of unsigned
  char to fix build PPC and ia64 build.
* Mon Aug 21 2000 - egger@suse.de
- Updated to v1.1.25.
* Mon Jun 26 2000 - egger@suse.de
- Remove some unneeded perl stuff from #neededforbuild to
  give these nice Itanium machines a chance to build it.
* Fri Jun 23 2000 - egger@suse.de
- Upgrade to latest bugfixversion (1.1.24).
* Tue Jun 06 2000 - ro@suse.de
- doc relocation
* Tue Jun 06 2000 - egger@suse.de
- Removed parallel builds and unnecessary crap from the spec.
* Mon May 29 2000 - egger@suse.de
- Updated to 1.1.23 ...
* Thu May 25 2000 - egger@suse.de
- Complete the gimpperl job... :)
* Wed May 24 2000 - egger@suse.de
- Removed gimpperl since it makes problems at the moment
  and will be made from the standalone CPAN source from now on.
* Wed May 17 2000 - egger@suse.de
- Updated some of the filelists.
- Use package gxmhtml instead of gnlibs gnlibsd for the
  helpbrowser.
* Tue May 16 2000 - egger@suse.de
- Updated to version 1.1.22.
- Removed perl patch.
* Mon May 15 2000 - egger@suse.de
- Hopefully got this patch right now...
* Sat May 13 2000 - egger@suse.de
- Provided a patch between current CVS and release
  version to ensure building of the Perl's catalog files.
- Install stripped versions of the binaries because we never
  got any feedback based on a SuSE distribution.
* Fri May 05 2000 - egger@suse.de
- Corrected a wrong delete-o.....
* Wed May 03 2000 - egger@suse.de
- Bumped to Version next pre1.2 (aka 1.1.21).
- Corrected thinkos....
* Mon May 01 2000 - egger@suse.de
- Bumped to Version pre1.2 (aka 1.1.20).
- Dropped Python support...
* Tue Apr 11 2000 - egger@suse.de
- perlgnom doesn't work like expected anymore
  perl_gtk seems to be broken.... try a workaround.
* Mon Apr 10 2000 - egger@suse.de
- GIMP now depends on gtkdoc to build.
* Sun Apr 09 2000 - egger@suse.de
- Reverted that perlgnom thingie because I can't
  the alias names but have to use the packagename
  instead. <sic>
* Sat Apr 08 2000 - egger@suse.de
- GIMP changed it's paths from /usr/share/gimp/* to
  /usr/share/gimp/1.1/*.
- perlgnom has now it's own package perl_gtk. Well, it's changelog
  contains the remark that this has changed but actually it would
  have been nice if I also had been told this!
* Wed Apr 05 2000 - bk@suse.de
- s390 team added added config.{sub,guess} update macro for s390
- s390 team fixed filelist on s390
* Thu Mar 30 2000 - egger@suse.de
- Bumped to official version 1.1.19.
- Removed splash patch.
* Mon Mar 06 2000 - ro@suse.de
- specfile fix
* Mon Mar 06 2000 - ro@suse.de
- added missing rest of pygimp-diff (pygimp-subdirs)
* Sun Mar 05 2000 - egger@suse.de
- Got those patches right.
* Sun Mar 05 2000 - egger@suse.de
- Forgot to remove a -cvs from the .spec-file.
* Sat Mar 04 2000 - egger@suse.de
- Updated to official 1.1.18.
  Added patch to readd pygimp.
* Thu Mar 02 2000 - egger@suse.de
- Replaced automake symlinks by the real files.
  Will add automake and autoconf th neededforbuild
  for the future.
* Thu Mar 02 2000 - egger@suse.de
- Added docbk30 to neededforbuild.
* Thu Mar 02 2000 - egger@suse.de
- Touched the files.
* Wed Mar 01 2000 - egger@suse.de
- Added iso_ent to neededforbuild.
* Wed Mar 01 2000 - ro@suse.de
- re-added sp
* Wed Mar 01 2000 - ro@suse.de
- added docbkdsl to neededforbuild
* Wed Mar 01 2000 - egger@suse.de
- Just adding sp_libs needed for jade.
* Wed Mar 01 2000 - egger@suse.de
- We're getting closer! pygimp needs jade_dsl for built.
* Wed Mar 01 2000 - egger@suse.de
- Replaced links to install-sh with the real scripts
  because those install maschines don't seem to have it although
  automake should provide them and this is mandantory!
* Tue Feb 29 2000 - egger@suse.de
- Upgraded to again to latest CVS version.
- Added install-sh to plug-ins/perl to work around
  problem in buildsystem.
* Mon Feb 28 2000 - egger@suse.de
- Upgraded to CVS version because it contains essential
  bugfixes and the missing python plugin.
- Build the python plugin.
* Mon Feb 28 2000 - ro@suse.de
- added gnlibs/gnlibsd to neededforbuild: help-browser
* Mon Feb 28 2000 - ro@suse.de
- no python modules are built yet, leave pygimp empty
* Mon Feb 28 2000 - ro@suse.de
- added pygtk and pygnome to neededforbuild
* Mon Feb 28 2000 - ro@suse.de
- added python to neededforbuild
* Mon Feb 28 2000 - ro@suse.de
- fix to build
* Thu Feb 24 2000 - egger@suse.de
- reworked the whole .spec file to create
  a better working package. Split out everything
  that won't work with native tools, i.e. the
  perl and the python plugin and the online help.
* Mon Feb 14 2000 - fehr@suse.de
- update to 1.1.17
* Fri Feb 04 2000 - fehr@suse.de
- update to 1.1.16
- fix bug in german po files that caused crash on startup
* Fri Jan 21 2000 - ro@suse.de
- fix typos in specfile
* Fri Jan 21 2000 - ro@suse.de
- man to /usr/share
* Fri Jan 14 2000 - fehr@suse.de
- update to 1.1.15
* Tue Dec 28 1999 - fehr@suse.de
- update to 1.1.14
- enabled NLS support since it does not seem to crash gimp any more
* Thu Nov 25 1999 - fehr@suse.de
- update to 1.1.12
* Tue Nov 02 1999 - fehr@suse.de
- update to 1.1.11
* Mon Oct 11 1999 - fehr@suse.de
- update to 1.1.10
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 03 1999 - fehr@suse.de
- update to 1.1.8
* Tue Jul 20 1999 - fehr@suse.de
- update to 1.1.7
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Jun 21 1999 - uli@suse.de
- fixed mpeg.c for AXP
* Fri Jun 04 1999 - fehr@suse.de
- update to 1.1.5
- make libgimp and libgimpd separate packages (needed by sane)
* Tue May 04 1999 - uli@suse.de
- disabled broken national language support
* Thu Apr 15 1999 - fehr@suse.de
- update to 1.1.4
* Mon Mar 22 1999 - ro@suse.de
- fixed file-list
* Thu Mar 18 1999 - fehr@suse.de
- changed to new version 1.1.3 of gimp
* Mon Jan 11 1999 - fehr@suse.de
- add aalib to needforbuild so that aa plugin is created
* Mon Oct 19 1998 - fehr@suse.de
- changed to version 1.0.2
* Fri Jun 26 1998 - fehr@suse.de
- add some patches
- add html manual pages to gimpman
- add lprold to build environment for the print-plugin to work
- changed to version 1.0.0
* Mon May 18 1998 - fehr@suse.de
- changed to version 0.99.29
* Tue Mar 03 1998 - fehr@suse.de
- changed to version 0.99.19
* Tue Feb 03 1998 - fehr@suse.de
- changed to version 0.99.18
- created new package gimpman with the manual for gimp
* Thu Jan 08 1998 - fehr@suse.de
- changed to version 0.99.17
* Wed Nov 12 1997 - fehr@suse.de
- add patch from Nathan Summers that fixes stack problems in plugins
* Fri Oct 31 1997 - fehr@suse.de
- prepare package for automatic build
- changed to version 0.99.15
- libraries gtk, gdb, and glib are now in seperate package gtk
* Wed Jul 16 1997 - fehr@suse.de
- add link to make glib.h also reachable as glib/glib.h
* Mon Jun 23 1997 - fehr@suse.de
- apply patches from http://copper.ucs.indiana.edu/~sgoehrin/gimp/patches/
- copy brushes etc from /usr/share/gimp/0.99.9 to 0.99.10
* Sun Jun 15 1997 - fehr@suse.de
- changed to version 0.99.10
- add data of gimp-data-0.99.9
